# coding: utf-8
lib = File.expand_path('../lib/', __FILE__)
$:.unshift(lib) unless $:.include?(lib)
require 'pike/version'

Gem::Specification.new do |s|
  s.name          = 'pike'
  s.version       = Pike::VERSION.to_s
  s.platform      = Gem::Platform::RUBY
  s.authors       = ['Benjamin Kammerl']
  s.email         = ['benny@itws.de']
  s.description   = 'Painless deployment automation, that doesn\'t suck'
  s.summary       = 'Pike is a deployment automation system, which easy to use, clear and works.'
  s.homepage      = 'https://github.com/phortx/pike'
  s.license       = 'MIT'

  s.required_ruby_version     = '>= 1.9.3'

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(/^bin\//) { |f| File.basename(f) }
  s.test_files    = s.files.grep(/^spec\//)
  s.require_paths = ['lib']
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.extra_rdoc_files = ['README.md']

  s.add_development_dependency 'bundler', '~> 1.5'
  s.add_development_dependency 'rake', '~> 10.1'

  s.add_runtime_dependency 'steps', '~> 1.1'
  s.add_runtime_dependency 'net-ssh', '~> 2.1'
  s.add_runtime_dependency 'net-scp', '~> 1.0'
  s.add_runtime_dependency 'net-ssh-shell', '~> 0.2'
end
